For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet approval policies
      • POSTCreate an approval policy
      • GETGet an approval policy by ID
      • DELDelete an approval policy
      • PATCHUpdate an approval policy
      • GETGet approval processes created from a policy
      • GETGet an approval process by ID
      • POSTCancel an approval process
      • GETGet the steps of an approval process
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableApproval policies

Delete an approval policy

DELETE
/approval_policies/:approval_policy_id
DELETE
/v1/approval_policies/:approval_policy_id
$curl -X DELETE https://api.sandbox.monite.com/v1/approval_policies/approval_policy_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
Delete an existing approval policy.
Was this page helpful?
Previous

Update an approval policy

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

approval_policy_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

401
Delete Approval Policies ID Request Unauthorized Error
404
Delete Approval Policies ID Request Not Found Error
409
Delete Approval Policies ID Request Conflict Error
422
Delete Approval Policies ID Request Unprocessable Entity Error
429
Delete Approval Policies ID Request Too Many Requests Error